FROM maven:3-jdk-8-alpine

WORKDIR "/usr/src/{{ run_maven_dest_path }}"

COPY . "/usr/src/{{ run_maven_dest_path }}"
RUN mvn package

ENV PORT {{ run_maven_app_port }}
EXPOSE $PORT
CMD [ "sh", "-c", "mvn -Dserver.port={{ run_maven_app_port }} spring-boot:run" ]

